foomatic-filters (4.0.17-4) unstable; urgency=medium

  * pdf.h
    - decl. of print_pdf 
      change startpos from int to size_t ( Closes: #749637 )
  * new debian/source/option
    - compression to xz and level to 9

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 29 May 2014 10:14:37 +0200

foomatic-filters (4.0.17-3) unstable; urgency=medium

  * convert debian/copyright to 1.0
  * Add upstream changelog
  * Add patch 0001-spelling-errors.diff
      - spelling in manpage
      - spelling in sources
  * Bump Standards-Version to 3.9.5
  * New Maintainer (Closes: #746381)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 06 May 2014 10:49:00 +0200

foomatic-filters (4.0.17-2) unstable; urgency=medium

  [ Till Kamppeter ]
  * Removed "Recommends: foomatic-db-engine".

  [ Didier Raboud ]
  * Orphan package: drop Uploaders, make 'Debian QA Group' the Maintainer
  * Import patch from cups-filters 1.0.53 to fix segfault in foomatic-rip when
    creating logfiles

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Apr 2014 18:28:52 +0200

foomatic-filters (4.0.17-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - foomaticrip.h: Raised PATH_MAX to 65536 bytes so that CUPS
       filter calls with many command line options work (LP: #1019662).
     - options.c, renderer.c: Fixed problems discovered by a Coverity scan
       (Upstream bug #752).

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Jul 2012 17:25:11 +0200

foomatic-filters (4.0.16-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Fixed off-by-one bug which has cut off the last character of the
       option string for CUPS (5th command line argument) and so made the
       last option setting not being applied. LP: #1003194.
     - Fixed wrong access to command line option list which prevented the
       command line options being passed on to the pdftops CUPS filter
       when incoming PDF is converted to PostScript. LP: #1002699.

 -- Didier Raboud <odyx@debian.org>  Sun, 24 Jun 2012 10:59:28 +0200

foomatic-filters (4.0.15-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Improved check whether a driver works with PDF input data:
       Do not take into account bogus options which appear due to bugs in
       PPD files (type is TYPE_NONE) or composite options and in addition
       add debug output to show the reason for the decision to convert to
       PostScript (LP: #953962).

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Mar 2012 11:32:54 +0200

foomatic-filters (4.0.14-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - If the input data is PDF but the driver requires PostScript, use the
       pdftops CUPS filter when CUPS is the spooler. This way we always use
       the same method to convert PDF to PostScript in the whole system,
       including any workarounds applied in the CUPS filter.

  [ Didier Raboud ]
  * Bump debhelper compat to 9 for auto-buildflags.
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 15 Mar 2012 11:21:49 +0100

foomatic-filters (4.0.13-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Do not use a string buffer limited to 512 characters for the options
       string supplied by CUPS through the fifth command line argument. Some
       PPD files can produce much longer option strings.

  [ Slavko ]
  * Add Slovak po-debconf translation. (Closes: #647119)

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Mar 2012 22:32:10 +0100

foomatic-filters (4.0.12-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - If incoming PDF needs to be converted to PostScript
       due to the filter command line not being a standard Ghostscript
       command line, no separate PDF command line being supplied, or
       options in the PPD being implemented by PostScript code, use
       preferrably Ghostscript (with the "ps2write" device) for this
       conversion as Ghostscript is better optimized for printing and
       has a more sophisticated color management compared to Poppler.
     - SECURITY FIX: Use the mktemp shell command/mkstemp() function to create
       the debug log file and the renderer input data file (both files only
       generated when foomatic-rip is un in debug mode) with file names with an
       unpredictable part. The names are /tmp/foomatic-rip-XXXXXX.log and
       /tmp/foomatic-rip-YYYYYY.ps where the XXXXXX and YYYYYY are replaced by
       random strings. Thanks to Tim Waugh from Red Hat for for the patch
       (Upstream bug #936, CVE-2011-2924).
  * debian/patches/use-ghostscript-for-pdf-to-ps.patch: Removed, merged
    upstream.

 -- Didier Raboud <odyx@debian.org>  Sun, 12 Feb 2012 16:50:51 +0100

foomatic-filters (4.0.9-1ubuntu2) oneiric; urgency=low

  * debian/patches/use-ghostscript-for-pdf-to-ps.patch: Use Ghostscript instead
    of Poppler if the driver needs to have incoming PDF converted to PostScript.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 25 Aug 2011 09:03:03 +0200

foomatic-filters (4.0.9-1ubuntu1) oneiric; urgency=low

  * debian/control: Added "Recommends: colord" (LP: #788092).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  9 Aug 2011 20:51:03 +0200

foomatic-filters (4.0.9-1) unstable; urgency=low

  * New upstream release
    - Fixed build of foomatic-rip on systems without D-Bus.

  [ Didier Raboud]
  * Uploaders update:
    - Drop Chris Lawrence, with his consent and great thanks for the 6 years
      of work on foomatic-filters.
    + Add Till Kamppeter.
  * Bump Standards-Version to 3.9.2 without changes needed.

  [ Translation updates ]
  * Danish (new translation, Joe Dalton, Closes: #614294)

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Aug 2011 17:20:54 +0200

foomatic-filters (4.0.8-0ubuntu2) oneiric; urgency=low

  * debian/control: Added build dependencies on pkg-config and libdbus-1-dev,
    as the new upstream code uses D-Bus.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Jul 2011 12:35:03 +0200

foomatic-filters (4.0.8-0ubuntu1) oneiric; urgency=low

  * New upstream release
     - Added support for the color management daemon colord and the CUPS PPD
       extensions for ICC profiles.
     - Added "-dNOINTERPOLATE" to all Ghostscript command lines defined in
       foomatic-rip to make page rendering significantly faster.
     - Use "ps2write" output device instead of the deprecated "pswrite"
       when generating PostScript with Ghostscript.
     - SECURITY FIX: It was possible to make CUPS executing
       arbitrary commands as the system user "lp" when foomatic-rip was
       used as CUPS filter. Fixed by not parsing named options (like
       "--ppd lj.ppd") when foomatic-rip is running as CUPS filter, as
       CUPS does not supply named options to their filters.
     - SECURITY FIX: Use mkstemp() instead of mktemp() for creating temporary
       files.
     - Corrected typos in the man page.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Jul 2011 12:01:03 +0200

foomatic-filters (4.0.7-1) unstable; urgency=low

  * New 4.0.7 upstream release
    - Drop remaining patches; included upstream.

  * Drop the explicit Depends on bash; we have a Pre-Depends already.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 17:35:32 +0100

foomatic-filters (4.0.7-0ubuntu1) natty; urgency=low

  * New upstream release
     - foomatic-rip printed only the first file supplied on the command line
       when multiple files are supplied (spooler-less printing mode,
       LP: #676680).
  * debian/patches/foomatic-rip-read-multiple-input-files.patch: Removed
    patches with fix backported from upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 18 Feb 2010 16:24:03 +0100

foomatic-filters (4.0.6-1) unstable; urgency=low

  * Upload to unstable.

  [ Translation updates ]
  * Japanese: Indent correctly.

  * Explicitly depend on bash (Closes: #600179)

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Feb 2011 15:38:14 +0100

foomatic-filters (4.0.6-1~exp1) experimental; urgency=low

  * New 4.0.6 upstream release
    - Merge from Ubuntu natty.

  [ Translation updates ]
  * Dutch (Eric Spreen, Closes: #605931)
  * Japanese (Nobuhiro Iwamatsu, Kenshi Muto and others, Closes: #611052)

  [ Didier Raboud ]
  * Better NEWS
  * Substitute the fallacious use of dpkg-vendor in the postinst by
    build-time distro detection.
  * [l10n] Add the debconf-updatepo to the clean target.
  * Remove the optional recommends on pdq (which was last in Woody).
  * Use my @d.o address.

  [ Martin Pitt ]
  * debian/rules: foomatic-filters' Perl scripts don't use any perl
    modules, so call dh_perl with "-d" to avoid the unnecessary perl
    dependency. (Closes: #602931)

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Jan 2011 16:18:07 +0100

foomatic-filters (4.0.6-0ubuntu2) natty; urgency=low

  * debian/patches/foomatic-rip-read-multiple-input-files.patch: foomatic-rip
    printed only the first file supplied on the command line when multiple
    files are supplied (spooler-less printing mode, LP: #676680).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Dec 2010 23:59:03 +0100

foomatic-filters (4.0.6-0ubuntu1) natty; urgency=low

  * New upstream release
     - Allow length limitations for the job parameter strings inserted for
       the special entities "&job;", "&user;", "&host;", "&title;", and
       "&options;" in code snippets for the renderer command line.
     - Make foomatic-rip determine correctly whether the input is PostScript
       or PDF also if the input is preceded by PJL.
     - Non-CUPS use: Do not blindly use the text filter requested by the
       configuration file, check whether it is supported.
     - Fixed several segfaults.
  * debian/patches/strncpy-tochar-use-isempty.patch,
    debian/patches/unhtmlify-segfault.patch: Removed patches with fixes
    backported from upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Dec 2010 20:49:03 +0100

foomatic-filters (4.0.5-6) unstable; urgency=low

  [ Till Kamppeter ]
  * Added two patches to fix some segfaults in 4.0.5.

 -- Didier Raboud <didier@raboud.com>  Wed, 10 Nov 2010 10:09:43 +0100

foomatic-filters (4.0.5-5) unstable; urgency=low

  [ Translation updates ]
  * Spanish (Francisco Javier Cuadrado, Closes: #600506)
  * Vietnamese (Clytie Siddall, Closes: #601547)
  * Run debconf-updatepo once, thanks to Clytie Siddall.

 -- Didier Raboud <didier@raboud.com>  Fri, 29 Oct 2010 17:13:07 +0200

foomatic-filters (4.0.5-4) unstable; urgency=low

  [ Translation updates ]
  * Czech (Michal Šimůnek, Closes: #597968)

 -- Didier Raboud <didier@raboud.com>  Sun, 10 Oct 2010 12:58:11 +0200

foomatic-filters (4.0.5-3) unstable; urgency=low

  [ Translation updates ]
  * Portuguese (Rui Branco, Closes: #596160)
  * German (Martin Eberhard Schauer, Closes: #596783)

 -- Didier Raboud <didier@raboud.com>  Thu, 16 Sep 2010 17:01:01 +0200

foomatic-filters (4.0.5-2) unstable; urgency=low

  [ Translation updates ]
   * Italian (Luca Monducci, Closes: #593957)
   * Russian (Yuri Kozlov, Closes: #593907)
   * Swedish (Martin Bagge, Closes: #594078)

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 17:18:03 +0200

foomatic-filters (4.0.5-1) unstable; urgency=low

  * Release to unstable.

  * Correct postinst to remove the incorrect dpkg-vendor use (it lives in
    dpkg-dev).

 -- Didier Raboud <didier@raboud.com>  Tue, 17 Aug 2010 21:50:07 +0200

foomatic-filters (4.0.5-1~exp0) experimental; urgency=low

  [ Till Kamppeter ]
  * New upstream release (Closes: #539676)
     - Made some string variables longer to avoid space problems.
     - Let foomatic-rip actually error out if something goes wrong. It simply
       continued or closed silently (exit status 0) in many cases (LP: #570522).
     - Corrections in the documentation, especially removed remainders of the
       need of libgs in former versions.
     - Fixed several causes of segmentation faults, especially also for
       spooler-less printing.
     - Fixed support for '0's as placeholders for a custom paper size in the
       prototype.
     - Made custom page size settings embedded in incoming PostScript be
       correctly recognized also if the initial comment is
       "%% FoomaticRIPOptionSetting: PageSize=Custom", without the size and
       unit parameters.
  * debian/patches/01_foomatic-rip-error-out-on-problems-longer-string-buffers.patch:
    Removed backported upstream fix.

  [ Didier Raboud ]
  * Merge from Ubuntu:
    - Install the apport hook on Ubuntu
    - Merge the changelog entries.
    - Merge the patch (see 4.0.4-0ubuntu2 changelog entry).
    - Merge most package relationships.
    - Merge package descriptions (Closes: #467380)
    - Turn on the insertion of PostScript code for CUPS' page accounting by
      default (LP: #119403).
    - Removed dependency on libgs to avoid license conflicts in the future
      and to make packaging easier.

  * Add myself to Uploaders as I'll help Chris in maintaining foomatic-filters.
  * Putting under Debian Printing Group umbrella.
  * Convert to 3.0 (quilt) source format.
  * Convert to tiny dh7 style.
  * debian/watch: update.
  * s/cupsys/cups/ everywhere (Closes: #511748)
  * Use db_settitle instead of deprecated db_title in the debconf templates,
    thanks to Frans Pop. (Closes: #560316)
  * Maintainer scripts cleanup thanks to lintian
  * Add Vcs-* fields with new packaging repository.
  * Update README.Debian.
  * Document the default change in NEWS.
  * Remove the big warning in the debconf template.
  * Packaging fixes (Closes: #235829, #254682)
  * Bump Standards to 3.9.1.0
    - Rework some Conflicts/Breaks
    - Update debian/copyright

 -- Didier Raboud <didier@raboud.com>  Tue, 10 Aug 2010 21:26:06 +0200

foomatic-filters (4.0.5-0ubuntu4) natty; urgency=low

  * debian/rules: Perl scripts from this package don't use any perl modules,
    so call dh_perl with "-d" to avoid the unnecessary perl dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Nov 2010 15:22:48 +0100

foomatic-filters (4.0.5-0ubuntu3) maverick; urgency=low

  [ Till Kamppeter ]
  * debian/patches/unhtmlify-segfault.patch: Made sure that the unhtmlify()
    function does not write the zero byte to mark the string end beyond the
    buffer. Also use a much larger buffer for parsing
    "*FoomaticRIPOptionPrototype:" in the PPD file (Upstream bug #515).
  * debian/patches/strncpy-tochar-use-isempty.patch: In strncpy_tochar() use
    the isempty() function to check whether the input string is empty
    (Upstream bug #514).

  [ Translation updates ]
  * Italian (Luca Monducci, Closes: #593957)
  * Russian (Yuri Kozlov, Closes: #593907)
  * Swedish (Martin Bagge, Closes: #594078)

  [ Didier Raboud ]
  * Substitute the fallacious use of dpkg-vendor in the postinst by build-time
    distro detection.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  1 Sep 2010 00:43:03 +0200

foomatic-filters (4.0.5-0ubuntu2) maverick; urgency=low

  [ Didier Raboud ]
  * Document the default change in NEWS.
  * Remove the big warning in the debconf template.
  * Packaging fixes (Closes: #235829, #254682)
  * Bump Standards to 3.9.1.0

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Aug 2010 19:18:03 +0200

foomatic-filters (4.0.5-0ubuntu1) maverick; urgency=low

  [ Till Kamppeter ]
  * New upstream release (Closes: #539676)
     - Made some string variables longer to avoid space problems.
     - Let foomatic-rip actually error out if something goes wrong. It simply
       continued or closed silently (exit status 0) in many cases (LP: #570522).
     - Corrections in the documentation, especially removed remainders of the
       need of libgs in former versions.
     - Fixed several causes of segmentation faults, especially also for
       spooler-less printing.
     - Fixed support for '0's as placeholders for a custom paper size in the
       prototype.
     - Made custom page size settings embedded in incoming PostScript be
       correctly recognized also if the initial comment is
       "%% FoomaticRIPOptionSetting: PageSize=Custom", without the size and
       unit parameters.
  * debian/patches/01_foomatic-rip-error-out-on-problems-longer-string-buffers.patch:
    Removed backported upstream fix.

  [ Didier Raboud ]
  * Merge from Ubuntu:
    - Install the apport hook on Ubuntu
    - Merge the changelog entries.
    - Merge the patch (see 4.0.4-0ubuntu2 changelog entry).
    - Merge most package relationships.
    - Merge package descriptions (Closes: #467380)
    - Turn on the insertion of PostScript code for CUPS' page accounting by
      default (LP: #119403).
    - Removed dependency on libgs to avoid license conflicts in the future
      and to make packaging easier.

  * Add myself to Uploaders as I'll help Chris in maintaining foomatic-filters.
  * Putting under Debian Printing Group umbrella.
  * Convert to 3.0 (quilt) source format.
  * Convert to tiny dh7 style.
  * debian/watch: update.
  * s/cupsys/cups/ everywhere (Closes: #511748)
  * Use db_settitle instead of deprecated db_title in the debconf templates,
    thanks to Frans Pop. (Closes: #560316)
  * Maintainer scripts cleanup thanks to lintian
  * Add Vcs-* fields with new packaging repository.
  * Update README.Debian.
  * Bump Standards to 3.9.0.0
    - Rework some Conflicts/Breaks
    - Update debian/copyright

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Aug 2010 18:59:03 +0200

foomatic-filters (4.0.4-0ubuntu2) maverick; urgency=low

  * debian/patches/01_foomatic-rip-error-out-on-problems-longer-string-buffers.patch:
    Let foomatic-rip actually error out if something goes wrong. It simply
    continued or closed silently (exit status 0) on several issues (LP:
    570522). Also make string buffers bigger as many of them were too small.
    This patch contains the changes which are planned to be introduced in
    Foomatic 4.0.5, so this can be considered a test release for 4.0.5.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  8 Jun 2010 17:47:03 +0200

foomatic-filters (4.0.4-0ubuntu1) lucid; urgency=low

  * New upstream release
     - Removed dependency on libgs to avoid license conflicts in the future
       and to make packaging easier.
     - Made more clear that foomatic-filters is released under GPL 2 or later.
     - Made suppression of CUPS accounting PostScript code into a PostScript
       data stream requested by the PPD file actually working (LP: #513690).
     - Added NULL pointer check to avoid segfault when custom margins option
       is added to the PPD file via the alignmargins script (Upstream bug #413,
       Debian bug #539676).
     - Make incoming PDF which needs to be converted to PostScript due to
       requirements of the driver really converted with Poppler's pdftops
       (LP: #463059).
     - When building the driver command line do not use the
       empty code fields of automatically generated choices of
       numerical options of Foomatic-based PPDs (Upstream bug #399).
  * 10_foomatic-rip-use-poppler-pdftops-with-cups.patch,
    20_foomatic-rip-suppress-page-accounting.patch: Removed patches with
    upstream fixes.
  * debian/copyright: Fixed license info: foomatic-filters is under GPL 2 or
    later.
  * debian/control: Removed build dependency on libgs-dev, foomatic-rip
    does not need libgs any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Feb 2010 17:14:03 +0100

foomatic-filters (4.0.3-0ubuntu4) lucid; urgency=low

  * debian/patches/20_foomatic-rip-suppress-page-accounting.dpatch:
    Make the insertion of page accounting code into PostScript data streams
    actually suppressed if instructed appropriately by the PPD file
    (especially for Foomatic/Postscript PPDs) (LP: #513690).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  5 Feb 2010 12:46:17 +0100

foomatic-filters (4.0.3-0ubuntu3) lucid; urgency=low

  * debian/patches/10_foomatic-rip-use-poppler-pdftops-with-cups.patch:
    CUPS manipulates $PATH when calling filters and this makes foomatic-rip
    calling CUPS' pdftops instead of Poppler's pdftops. This fails and so
    always the awkward Ghostscript/pswrite fallback is used, producing
    huge temporary PostScript files which the following process (driver
    or PostScript printer) renders very slowly or does not render at all
    due to excessive memory usage (LP: #463059).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  2 Feb 2010 13:14:17 +0100

foomatic-filters (4.0.3-0ubuntu2) karmic; urgency=low

  * debian/control: Recommend poppler-utils 0.11.2 or newer, as the
    PDF-to-PostScript conversion with Poppler works much better than
    with Ghostscript.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Aug 2009 12:45:17 +0200

foomatic-filters (4.0.3-0ubuntu1) karmic; urgency=low

  * New upstream release
     - Do PDF-to-PostScript conversion with Poppler, as Ghostscript produces
       huge files (Upstream bug #365).
     - Fixed LPRng support (Upstream bug #337).
     - Do not use JCL which is preceeded to the input data by a CUPS filter, as
       this does not get merged with the driver's JCL.
     - When merging the JCL from the PPD options with the JCL of the driver,
       make sure that no "@PJL SET ..." commands gets before a "@PJL JOB ..."
       command as such commands get ignored.
  * debian/patches/10_jcl-merge-fixes.patch: Removed patch with upstream fixes.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Aug 2009 20:13:17 +0200

foomatic-filters (4.0.2-0ubuntu2) karmic; urgency=low

  * debian/patches/10_jcl-merge-fixes.patch: Upstream fixes for merging JCL
    commands:
     - Do not use JCL which is preceeded to the input data by a CUPS filter, as
       this does not get merged with the driver's JCL.
     - When merging the JCL from the PPD options with the JCL of the driver,
       make sure that no "@PJL SET ..." commands gets before a "@PJL JOB ..."
       command as such commands get ignored.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Jul 2009 11:13:21 +0200

foomatic-filters (4.0.2-0ubuntu1) karmic; urgency=low

  * New upstream release
     - Use cups-config in the ./configure script to find CUPS-related
       directories
     - Bug fixes
  * 01-foomatic-rip-segfault-on-jcl-merging.patch,
    02-foomatic-rip-binary-data-after-pjl-options-corrupted.patch,
    10_config-file-param-reading-gs-command-line-massaging.patch,
    13_foomatic-rip-ps-reader-buffer-overflow.patch,
    15_foomatic-rip-renderer-command-line-massaging.patch,
    17_foomatic-rip-man-page-typos.patch,
    20_foomatic-rip-jcl-segmentation-fault.patch,
    23_prioritize-ppd-options-over-cups-options-on-command-line-fix-custom-options.patch:
    Removed patches with upstream fixes.
  * debian/control: Added build dependency on libcups2-dev, as now cups-config
    is used by the ./configure script to find CUPS-related directories.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Jun 2009 13:59:37 +0200

foomatic-filters (4.0.0-0ubuntu9) jaunty; urgency=low

  * debian/patches/23_prioritize-ppd-options-over-cups-options-on-command-line-fix-custom-options.patch:
    If there are printing system options (like "media" of CUPS) and PPD
    options (like "PageSize") on the command line and they do the same thing 
    (like choosing the paper size) let the setting of the PPD option always
    have priority, as this is expected for a CUPS filter (see CUPS STR #3148).
    This is done by treating the printing system options before the PPD 
    options (LP: #338999).
    Custom page sizes were not accepted if one of the three parameters
    "WidthOffset", "HeightOffset", or "Orientation" of the "PageSize" option
    in the PPD file did not allow 0 as value.
    Made error messages for the parameters of custom options more readable.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 31 Mar 2009 00:19:49 +0200

foomatic-filters (4.0.0-0ubuntu8) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Mar 2009 12:21:49 +0100

foomatic-filters (4.0.0-0ubuntu7) jaunty; urgency=low

  * debian/patches/20_foomatic-rip-jcl-segmentation-fault.patch:
    Fixed segmentation fault in JCL command handling (Upstream bugs #311 and
    #317).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun,  8 Mar 2009 20:03:49 +0100

foomatic-filters (4.0.0-0ubuntu6) jaunty; urgency=low

  * debian/patches/13_foomatic-rip-ps-reader-buffer-overflow.patch: Fixed
    buffer flow in PostScript file reader (Upstrean bug #311).
  * debian/patches/15_foomatic-rip-renderer-command-line-massaging.patch:
    Fixed handling of renderer command line. The line got messed up with
    PPD files where the call of Ghostscript was not in the beginning of the
    line, especially Foomatic 3.x PPD files for the "Postscript" driver
    (Upstream bug #316).
  * debian/patches/17_foomatic-rip-man-page-typos.patch: Fixed typos in the
    man page for foomatic-rip.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat,  7 Mar 2009 01:15:49 +0100

foomatic-filters (4.0.0-0ubuntu5) jaunty; urgency=low

  * debian/patches/10_config-file-param-reading-gs-command-line-massaging.patch:
    Several bug fixes: Several parameters were not read from the config file
    and the Ghostscript command line massaging broke the output in some cases.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Feb 2009 17:42:49 +0100

foomatic-filters (4.0.0-0ubuntu4) jaunty; urgency=low

  * debian/patches/02-foomatic-rip-binary-data-after-pjl-options-corrupted.patch:
    Binary job data got corrupted after reading PJL options from the driver
    output. This should finally fix LP: #318614.

  * debian/patches/foomatic-rip-segfault-on-jcl-merging.patch,
    debian/patches/01-foomatic-rip-segfault-on-jcl-merging.patch: Renamed patch
    to make the patches getting applied in the correct order.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  2 Feb 2009 19:18:49 +0100

foomatic-filters (4.0.0-0ubuntu2) jaunty; urgency=low

  * debian/patches/foomatic-rip-segfault-on-jcl-merging.patch: Fixed
    segfault of the JCL merging process on long JCL command lists
    (LP: #321164).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 29 Jan 2009 20:05:49 +0100

foomatic-filters (4.0.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (4.0.0 final release, BZR rev 195)
     - Let custom JCL options get correctly inserted.
     - Treat "None" as empty string in string and password options.
     - String and password option settings got inserted with the
       "Custom." prefix.
     - Fixed seghfault which occured when using string options.
     - Make foomatic-rip working correctly with PostScript of StarOffice 8
     - The PostScript code of PostScript options did not get inserted when
       the spooler is CUPS and foomatic-rip had to convert incoming PDF to
       PostScript (LP: #299918)
     - Made merging of PJL options of the PPD and of the driver correctly
       working.
     - Corrected the insertion of the "%%PageSetup" sections. 
     - Inserted PostScript option settings from pstops were not corrected
       with custom option settings done on the command line (numerical,
       string, password).
     - If there was only one PJL option in the PPD no PJL got added at all
       (LP: #303691).
     - Made foomatic-rip conforming with the LSB compliance tests (LSB bug
       #2423).
     - Fixed infinite loop when page-specific option settings are used.
     - Made foomatic-rip correctly working with custom JCL options.
     - Option setting insertions got corrupted when there is a composite
       option in the PPD file (Upstream bug #173, comment #23).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Jan 2009 10:39:49 +0100

foomatic-filters (4.0.0~bzr177-0ubuntu2) jaunty; urgency=low

  * No-change rebuild to pick up correct libgs8 shlibs on armel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Nov 2008 12:42:23 +0000

foomatic-filters (4.0.0~bzr177-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 177)
     - Let foomatic-rip not try to correct the
       settings of boolean and enumerated choice options embedded in
       the Prolog and Setup sections of the PostScript input data
       (Upstream bug #173).
     - Fixed problems that for boolean options set to "false" the command
       line snippet for the "true" setting was inserted into the Ghostscript
       command line.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Oct 2008 13:13:07 +0200

foomatic-filters (4.0.0~bzr174-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 174)
     - Let foomatic-rip use the $TMPDIR variable for the temporary file
       directory. Use P_tmpdir and /tmp as fallbacks if $TMPDIR is not set
       or if the directory is not writable.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 06 Oct 2008 17:48:52 +0200

foomatic-filters (4.0.0~bzr171-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 171)
     - Let the beh CUPS backend use /tmp as temporary directory when CUPS
       does not supply the $TMPDIR environment variable (LP: #268284).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 25 Sep 2008 09:28:44 +0200

foomatic-filters (4.0.0~bzr170-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 170)
     - foomatic-rip did not add JCL commands to the job (Upstream bug #159)
     - foomatic-rip added several newlines in the beginning and the end of
       PDF jobs (Upstream bug #184)
     - Fix for foomatic-rip not handling PPD files with brackets in their names
       was not complete (Upstream bug #169)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Sep 2008 16:30:19 +0200

foomatic-filters (4.0.0~bzr167-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 167)
     - foomatic-rip could not handle PPD files with brackets in their names
       (Upstream bug #169)
     - foomatic-rip was not able to print custom page sizes when "PageSize"
       was not a PostScript option (Upstream bug #171)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Sep 2008 22:50:24 +0200

foomatic-filters (4.0.0~bzr164-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 164)
     - Fixed bug in building the renderer command line (Upstream bug #160,
       LP: #260211)
     - Fixed crasher bug LP: #259622
     - Partially fixed problem of options submitted with print jobs not being
       obeyed by foomatic-rip (PJL/JCL options still TODO, upstream bug #159).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 02 Sep 2008 11:29:29 +0200

foomatic-filters (4.0.0~bzr160-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 160)
     - Let foomatic-rip not convert unknown file formats when invoked by
       CUPS, to avoid calls of external file convertors when the input
       is corrupted (Upstream bug #156).
     - Fixed handling of the "Collate" option when it is defined in the
       PPD file (Ricoh PPDs, upstream bug #157).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 15 Aug 2008 10:28:32 +0200

foomatic-filters (4.0.0~bzr159-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 159)
     - Fix creation of temporary files by subprocesses (Upstream bug #155).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 14 Aug 2008 09:56:05 +0200

foomatic-filters (4.0.0~bzr158-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 158)
     - Conversion of PDF to PostScript in the case that the driver does not
       support PDF input did not work due to a bug in handling the
       subprocesses (Upstream bug #153).
     - foomatic-rip inserted the -sOutputFile GhostScript command line 
       argument at the wrong position when printing a PDF file (not from
       stdin), which made Ghostscript crashing.
     - Option settings can be given in the PPD file before the option is
       "declared", which led foomatic-rip to think that there are 
       PostScript options (the default) in the PPD and the driver could not
       understand PDF input. Now, foomatic-rip checks for PostScript
       options after the whole PPD has been read (Upstream bug #154).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 13 Aug 2008 23:57:00 +0200

foomatic-filters (4.0.0~bzr156-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 156)
     - Support for second driver command line for PDF input specified
       with the "*FoomaticRIPCommandLinePDF" keyword in the PPD.
     - Incoming PDF is converted to PostScript if there is no
       "*FoomaticRIPCommandLinePDF" and the "*FoomaticRIPCommandLine" does
       not start with a call of Ghostscript or if there is at least one
       option which inserts active PostScript code.
     - Custom input values were not respected by foomatic-rip (Upstream
       bug #142).
     - Some JCL/PJL options were not inserted into the output data stream
       (Upstream bug #146).
     - Fixed crash when default value of an option was set from a composite
       option (Upstream bug #151).
     - Page overrides work for PDF input now.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 13 Aug 2008 08:19:02 +0200

foomatic-filters (4.0.0~bzr150-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 150)
     - Workaround for bad Adobe Reader 8.x (< 8.1.2) output (Upstream bug #144)
     - Fixed bug which disabled JCL output.
     - Use correct location for filters.conf

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 01 Jul 2008 00:16:12 +0200

foomatic-filters (4.0.0~bzr148-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 148)
     - Fixed crasher bug (LP: #241979).
     - Eliminate compiler warnings ("-Wall").
     - Allow float values on *OrderDependency settings. This is
       valid according to the PPD spec, and is used by some HP PPDs.
     - Allow choice names starting with "From". Even if they do not
       point to a valid composite option.
     - Parse more complex command lines correctly when looking for 
       the "gs" executable to optimize Ghostscript command lines 
       for the needs of foomatic-rip.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 24 Jun 2008 08:25:55 +0200

foomatic-filters (4.0.0~bzr146-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 146)
     - Fixed upstream bug #138: foomatic-rip (4.0) does not always insert
       the code pieces of the members of composite options
       http://bugs.linux-foundation.org/show_bug.cgi?id=138
     - Assured that Ghostscript command line gets optimized even if
       Ghostscript is called out of a pipe (this was a regression from
       foomatic-rip 3.x.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 17 Jun 2008 15:47:36 +0100

foomatic-filters (4.0.0~bzr144-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 144)
     - When replacing elements of the Ghostscript command line,
       do not remove the spaces between the items. This made printing with
       the new foomatic-rip not working in general for most cases.
  * debian/control, debian/foomatic-filters.config,
    debian/foomatic-filters.templates: The CUPS package in Debian/Ubuntu is
    named "cups" now and not "cupsys" any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 13 Jun 2008 15:21:52 +0100

foomatic-filters (4.0.0~bzr143-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 143)
     - Fixes LP: #235404.
  * debian/control: Added dependency on "ghostscript" as alternative to "gs"
    and "gs-esp".

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 09 Jun 2008 21:23:16 +0100

foomatic-filters (4.0.0~bzr142-0ubuntu1) intrepid; urgency=low

  * New upstream release (BZR rev 142)
     - Forth generation of Foomatic
     - Rewrite of foomatic-rip in C
     - Integration of the functionality of foomatic-gswrapper in foomatic-rip
     - Support for PDF as input data format (for using PDF as standard print
       job format).
     - PDF file handling with the Ghostscript library (libgs).
     - Full support for the custom options of CUPS
       (http://www.cups.org/documentation.php/spec-ppd.html)
  * debian/patches/clean-up-on-cancel.patch: Removed, fixed upstream.
  * debian/control: Added build dependency on libgs-dev, added
    ${shlibs:Depends}, set Architecture to "any" instead of "all".
  * debian/control: Updated description text.
  * debian/rules: We have a platform-dependent executable now. Done the needed
    adaptations.
  * Merged from debian unstable.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 May 2008 15:54:19 +0200

foomatic-filters (4.0-20090509-1) unstable; urgency=low

  * New upstream release.  (Closes: #526744)
  * Updated debconf translations: sv (Closes: #518497), es (Closes: #521805).
  * Update debian/watch.  (Closes: #415928)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 09 May 2009 03:00:17 -0500

foomatic-filters (4.0-20090311-1) unstable; urgency=low

  * New upstream release; previous upload didn't include upstream patch
    for the JCL problems.  (Closes: #518117, again)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 11 Mar 2009 20:22:57 -0500

foomatic-filters (4.0-20090308-1) unstable; urgency=low

  * New upstream release; fixes another potential segfault.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 08 Mar 2009 18:55:48 -0500

foomatic-filters (4.0-20090301-3) unstable; urgency=low

  * Fix another bug in foomatic-rip that led to null pointer dereferences
    when using the hl1250 driver.  (Closes: #518117)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 08 Mar 2009 05:38:26 -0500

foomatic-filters (4.0-20090301-2) unstable; urgency=low

  * Fix bug in foomatic-rip that could leave two 'gs' calls in the command
    line if gs was not at the beginning; common in Foomatic 3.x-generated
    PPD files for PostScript printers.  (Closes: #518362)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 06 Mar 2009 15:09:42 -0600

foomatic-filters (4.0-20090301-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 01 Mar 2009 16:38:43 -0600

foomatic-filters (3.0.2-20080211-3) unstable; urgency=low

  * Incorporate all the template changes made during the templates rewrite.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 28 Feb 2008 13:27:44 -0600

foomatic-filters (3.0.2-20080211-2) unstable; urgency=low

  * Fix the translations properly based on the debconf templates rewrite.
    (Closes: #444654)
  * I really can't type bug numbers correctly on a laptop.  (Closes: #466616)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 22 Feb 2008 01:10:09 -0600

foomatic-filters (3.0.2-20080211-1) unstable; urgency=low

  * New upstream release.  (Closes: #461564, #446616)
  * Fix(?) debian/watch.  (Closes: #449615)
  * Update translations.
    - ca (Closes: #446389)
    - cs (Closes: #446641)
    - de (Closes: #447193)
    - fi (Closes: #446406)
    - fr (Closes: #445220)
    - gl (Closes: #446478)
    - it (Closes: #447050)
    - ja (Closes: #445341)
    - pt (Closes: #445272)
    - pt_BR (Closes: #446941)
    - ru (Closes: #446928, #432874)
    - vi (Closes: #427022, #446892)
  * Remove debconf handling of Ghostscript interpreter; no longer
    necessary due to end of gs-* packages.  (Closes: #447086)
  
 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Feb 2008 14:17:18 -0600

foomatic-filters (3.0.2-20071204-0ubuntu2) hardy; urgency=low

  * debian/patches/clean-up-on-cancel.patch: Kill all subprocesses
    when receiving a TERM signal due to the job being canceled. This
    assures that there do not stay orphan Ghostscript processes still
    feeding data to the printer.
  * debian/control, debian/rules: Added support for patches.
  * debian/control: Updated home page entry, standards version, description
    text from Debian.
  * debian/watch: Updated from Debian.
  * debian/parseconfig.pl, debian/foomatic-filters.config,
    debian/foomatic-filters.postinst: Drop debconf option for selecting the
    Ghostscript version to use (update from Debian).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Mar 2008 12:58:58 +0001

foomatic-filters (3.0.2-20071204-0ubuntu1) hardy; urgency=low

  * New upstream release
    - foomatic-gswrapper.in: Let Ghostscript always use buffered
      input. This works around a Ghostscript bug which prevents
      printing encrypted PDF files with Adobe Reader 8.1.1 and
      Ghostscript built as shared library (Ghostscript bug #689577,
      Ubuntu bug LP: #172264)
    - Allow the parameters of the "*Foomatic..."
      lines which formerly had to be given without quotes also to be
      given with double quotes. This is to support generation and
      manipulation of Foomatic PPDs with the CUPS DDK. The PPD
      generator of the CUPS DDK ("ppdc") can create these lines only
      with quoted parameters (See http://www.cups.org/str.php?L2551).
    - Bug fixes:
       o If the CUPS-style duples option
         "-o sides={one|two}-sided[-{long|short}-edge]" was supplied,
         the "Duplex" option could be set to "0", "LongEdge", or
         "ShortEdge", which do not exist in the "Duplex" options in
         PPD files (Thanks to Ricoh Japan for reporting this bug). 
       o Now all of "LongEdge", "DuplexNoTumble", or "ShortEdge", 
         "DuplexTumble", are converted to each other if supplied as 
         value to an enumerated choice option (usually "Duplex") and
         this value is not in the list of choices.
       o Reset the best score for finding the narrowest page range
         before treating each option, not only before the first
         option. Now jobs with page overrides on more than one
         option are executed correctly.
       o If an option had the default value "0" (enumerated choice,
         numerical, string) in the PPD file, the first choice from
         the list was set as default and not "0".
       o When assigning a non-integer number to an integer option,
         the "%%BeginFeature: ..." line of the option inserted into 
         the PostScript data stream still contained the non-integer
         value. Only the value in the code piece was converted to
         integer.
       o If a non-integer "*FoomaticRIPDefault..." was given for an
         integer option it was not converted to integer. 
       o Boolean options had "0" and "1" as values in the
         "%%BeginFeature: ..." lines and not "False" and "True".
       o PPD-supplied JCL/PJL options did not get merged with
         driver-generated JCL/PJL options when there were spaces
         between the JCL command and the "=" (ex: "@PJL SET TRAY = 1").
       o Now all of "0", "No", "Off", "False" or "1", "Yes", "On",
         "True" are converted to each other if supplied as value to
         an enumerated choice option and this value is not in the
         list of choices.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 05 Dec 2007 12:08:58 +0000

foomatic-filters (3.0.2-20070719-0ubuntu1) gutsy; urgency=low

  * New upstream release
    o Added support for suppressing page accounting on a per-driver basis.
      Page accounting is deactivated if a line "*FoomaticNoPageAccounting:
      True" is found in the PPD file.
  * foomatic-filters.postinst, foomatic-filters.templates: Turned on the
    insertion of PostScript code for CUPS' page accounting by default
    (closes: LP#119403).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Jul 2007 19:11:45 +0100

foomatic-filters (3.0.2-20070323-0ubuntu1) feisty; urgency=low

  * New upstream bug fix release
    o Performance improvements (closes: LP#78781 and probably also LP#96709).
    o foomatic-rip did not read custom page sizes from the PostScript data
      stream (closes: LP#42234, CUPS upstream STR #1722).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 27 Mar 2007 09:48:54 +0100

foomatic-filters (3.0.2-20070312-0ubuntu1) feisty; urgency=low

  * New upstream bug fix release
    o Replaced sysread() and syswrite() by read() and print() in foomatic-rip
      as the buffering of sysread() and syswrite() is not compatible with the
      buffering of the read() and print() used in the other operations. This
      lead to printouts being messed up (closes LP#87597).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Mar 2007 22:02:12 +0000

foomatic-filters (3.0.2-20070220-0ubuntu1) feisty; urgency=low

  * New upstream bug fix release
    o Fixes problem of foomatic-rip eating up all memory and blocking the
      system, requiring a hard reset (closes: LP#85569).
    o URLs updated to OpenPrinting in documentation.
  * debian/control: Set Ubuntu maintainer.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 22 Feb 2007 12:05:54 +0000

foomatic-filters (3.0.2-20061031-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Translation files converted to UTF-8
    - Czech. Closes: #408722
    - Portuguese. Closes: #409210

 -- Christian Perrier <bubulle@debian.org>  Fri,  2 Mar 2007 07:39:27 +0100

foomatic-filters (3.0.2-20061031-1.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n issues
  * Debconf translation updates/additions:
    - German. Closes: #401469
    - French. Closes: #399364
    - Spanish. Closes: #401959
    - Brazilian Portuguese. Closes: #403830
    - Dutch. Closes: #406856
    - Galician. Closes: #407288

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2007 14:48:55 +0100

foomatic-filters (3.0.2-20061031-1) unstable; urgency=low

  * New upstream release.
  * Make corrections to the debconf template pointed out by Erik Schanze
    in private email.
  * Update translations to fr, nl, pt.  (Closes: #384390, #387656, #396639)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  4 Nov 2006 19:11:37 -0600

foomatic-filters (3.0.2-20060712-3) unstable; urgency=low

  * Apply patch improving the translation of debconf templates.
    (Closes: #378220)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 21 Aug 2006 09:36:21 -0500

foomatic-filters (3.0.2-20060712-2) unstable; urgency=low

  * Update Japanese, French translations.  (Closes: #378937, #379948)
  * Add Portuguese, Swedish translations.  (Closes: #381897, #381917)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 21 Aug 2006 01:28:48 -0500

foomatic-filters (3.0.2-20060712-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 12 Jul 2006 20:11:45 -0400

foomatic-filters (3.0.2-20060530-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 May 2006 19:52:08 -0400

foomatic-filters (3.0.2-20060318-2) unstable; urgency=low

  * Remove /etc/foomatic/defaultspooler in purge.  (Closes: #359322)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 27 Mar 2006 17:25:02 -0500

foomatic-filters (3.0.2-20060318-1) unstable; urgency=low

  * The "gee, won't it be nice when I can upload amd64 packages instead of
    using a jury-rigged i386 pbuilder" release.
  * New upstream CVS pull (no changes recorded in ChangeLog, but better
    safe than sorry).
  * Force upgrade from gs << 8.0 or gs-aladdin << 8.0.
  * Reprompt for gspath if it is gs-gnu or gs-aladdin.
    (Closes: #354149, #352856)
  * Add Czech translation.  (Closes: #309020)
  * Add Vietnamese translation.  (Closes: #314179)
  * Improve robustness of postinst, even though I think the specific problem
    reported is long fixed.  (Closes: #289363)
  * Don't fail in postrm if ucf is missing (an error message will still
    display, but postrm will exit 0).  (Closes: #350474)
  * Apply patch fixing typos in man page foomatic-rip(1).  (Closes: #351421)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 18 Mar 2006 22:56:52 -0500

foomatic-filters (3.0.2-20060113-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 13 Jan 2006 18:24:58 -0500

foomatic-filters (3.0.2-20050720-1) unstable; urgency=low

  * New upstream release.
  * Remove mention of foomatic-bin from README.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 20 Jul 2005 03:24:28 -0500

foomatic-filters (3.0.2-20050705-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  5 Jul 2005 01:53:28 -0500

foomatic-filters (3.0.2-20050403-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Apr 2005 23:03:31 -0500

foomatic-filters (3.0.2-20041204-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  4 Dec 2004 11:38:53 -0600

foomatic-filters (3.0.2-3) unstable; urgency=low

  * Apply patch to French and Brazilian Portuguese translations to fix
    encoding issues.  (Closes: #277570)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 22 Oct 2004 06:15:29 -0500

foomatic-filters (3.0.2-2) unstable; urgency=low

  * Apply file descriptor handing patch from Alexander Achenbach.
    This will fix some incompatibilities with Ghostscript prefiltering,
    etc. (Closes: #271519)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 19 Oct 2004 01:07:45 -0500

foomatic-filters (3.0.2-1) unstable; urgency=high

  * New upstream release.  (Released ahead of embargo date due to public
    notice of vulnerability being posted at LinuxPrinting.org.  Fix has
    been in CVS since August 26th.)
  * Fixes foomatic-rip vulnerability CAN-2004-0801, which allows arbitrary
    commands to be run as the spooler's UID (possibly root).

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Sep 2004 20:38:08 -0500

foomatic-filters (3.0.1-20040621-4) unstable; urgency=low

  * Update Brazilian Portuguese translation.  (Closes: #264193)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  7 Aug 2004 19:25:42 -0500

foomatic-filters (3.0.1-20040621-3) unstable; urgency=medium

  * Downgrade foomatic-filters/spooler to low priority; the autodetection
    should be sufficiently good for most purposes.
  * Update French translation.  (Closes: #257550)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Jul 2004 07:49:15 -0500

foomatic-filters (3.0.1-20040621-2) unstable; urgency=low

  * Update German translation.  (Closes: #256619)
  * Update Japanese translation.  (Closes: #256097)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 28 Jun 2004 02:50:26 -0500

foomatic-filters (3.0.1-20040621-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 21 Jun 2004 02:24:42 -0500

foomatic-filters (3.0.1-20040506-6) unstable; urgency=low

  * Fix handling of config file.  (Closes: #254462, #254516, #254652)
  * Updated Dutch translation.  (Closes: #254582)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 21 Jun 2004 02:19:54 -0500

foomatic-filters (3.0.1-20040506-5) unstable; urgency=low

  * Move parseconfig Perl fragment into its own file, so the syntax
    highlighting is correct.
  * Try to autodetect the spooler, and record this setting in
    /etc/foomatic/defaultspooler to make foomatic-configure more friendly.
  * Modify foomatic-filters.config to skip the filter question with CUPS,
    and skip the PS accounting question unless CUPS is being used.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 14 Jun 2004 03:05:54 -0500

foomatic-filters (3.0.1-20040506-4) unstable; urgency=low

  * Fix case of Foomatic in one spot in the debconf template.
  * Eliminated all fuzziness from translations.
  * Add German debconf translation.  (Closes: #252823)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  6 Jun 2004 21:06:10 -0500

foomatic-filters (3.0.1-20040506-3) unstable; urgency=low

  * Add Turkish and Dutch debconf translations.
    (Closes: #246077, #251400)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 28 May 2004 23:36:23 -0500

foomatic-filters (3.0.1-20040506-2) unstable; urgency=low

  * Updated French debconf translation. (Closes: #248662)
  * Manually fixed Portuguese and Japanese translations.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 14 May 2004 18:27:43 -0500

foomatic-filters (3.0.1-20040506-1) unstable; urgency=low

  * New upstream release.
  * Changed gs-aladdin to gs-afpl in Debconf template.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  6 May 2004 23:00:07 -0500

foomatic-filters (3.0.1-6) unstable; urgency=low

  * Updated French translation.  (Closes: #238121)
  * Ran debconf-updatepo manually, for good measure, even though it's
    claimed in the form letter I received as part of #238121 that
    dh_installdebconf automatically does this.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 15 Mar 2004 19:03:27 -0600

foomatic-filters (3.0.1-5) unstable; urgency=low

  * Add Portguese translation of debconf templates.  (Closes: #235469)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  1 Mar 2004 16:10:07 -0600

foomatic-filters (3.0.1-4) unstable; urgency=low

  * Update Japanese translation.  (Closes: #235094)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Feb 2004 03:16:15 -0600

foomatic-filters (3.0.1-3) unstable; urgency=low

  * Update French translation.  (Closes: #228999)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 26 Feb 2004 04:28:26 -0600

foomatic-filters (3.0.1-2) unstable; urgency=low

  * Add debconf configuration for the gspath variable.
  * Remove all the ucf hackery, since ucf now supports debconf.  We now
    depend on the latest ucf.
  * Remove the temporary file generated from the debconf data.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 22 Feb 2004 19:43:05 -0600

foomatic-filters (3.0.1-1) unstable; urgency=low

  * New upstream release.  No upstream changes since last CVS snapshot.
  * Use DEBIAN_FRONTEND instead of DEBCONF_FRONTEND for the interactivity
    test, and check the debconf database for the frontend setting too;
    this should solve the buildd problems with packages that depend on
    foomatic-filters.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 20 Feb 2004 21:52:42 -0600

foomatic-filters (3.0.0-20040203-1) unstable; urgency=low

  * New upstream release.
  * If DEBCONF_FRONTEND is "noninteractive", bypass ucf handling of
    /etc/foomatic/filter.conf.  (Closes: #231018)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  3 Feb 2004 19:41:34 -0600

foomatic-filters (3.0.0-20040114-1) unstable; urgency=low

  * New upstream release.
  * Update debconf translations.  (Closes: #224193, #227127)
  * Acknowledge NMU.  (Closes: #223681)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 14 Jan 2004 23:01:10 -0600

foomatic-filters (3.0.0-20031207-1) unstable; urgency=low

  * New upstream release.
  * Handle filter.conf with ucf.
  * Bypass the file converter check when calling configure.
    (Closes: #223152)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Dec 2003 21:34:52 -0600

foomatic-filters (3.0.0-20031118-1) unstable; urgency=low

  * New upstream release.
  * Note that texttops is used with CUPS by default in the template file.
    (This will require minor po file updates.)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 18 Nov 2003 15:32:03 -0600

foomatic-filters (3.0.0-20030919-3) unstable; urgency=low

  * New debconf translations.  (Closes: #212496, #212723)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 29 Sep 2003 09:12:16 -0500

foomatic-filters (3.0.0-20030919-2) unstable; urgency=low

  * Don't use the *dj variants of paper sizes, since a2ps seems to have
    recently lost support for them.  (Closes: #212259)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Sep 2003 19:54:47 -0500

foomatic-filters (3.0.0-20030919-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Sep 2003 20:35:00 -0500

foomatic-filters (3.0.0-20030907-2) unstable; urgency=low

  * Add French translation of debconf templates.  (Closes: #211222)
  * foomatic-rip now dies with a reasonable error message if unable to
    open the log file.  (Closes: #211345)
  * Drop the debconf question on retaining the config file; the new
    behavior is equivalent to "parse", which was the default behavior
    anyway.  (Closes: #200713)
  * Change the default setting for the PostScript filter to "Automagic"
    and lower the question priority to "low".

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Sep 2003 20:30:37 -0500

foomatic-filters (3.0.0-20030907-1) unstable; urgency=low

  * New upstream release.
  * Include Japanese translation of debconf templates.  (Closes: #207513)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Sep 2003 12:07:18 -0500

foomatic-filters (3.0.0-20030628-2) unstable; urgency=low

  * Test whether /etc/foomatic/filter.conf.debconf-old exists before doing
    file operations on it in the postinst.  (Closes: #199777)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  2 Jul 2003 22:53:05 -0500

foomatic-filters (3.0.0-20030628-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Jun 2003 17:08:02 -0500

foomatic-filters (3.0.0-5) unstable; urgency=low

  * Change conflicts line to not conflict with the forthcoming
    cupsomatic-ppd transition package.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Jun 2003 19:06:39 -0500

foomatic-filters (3.0.0-4) unstable; urgency=low

  * Conflict/Replace with the massively obsolete cupsomatic-ppd.
    (Closes: #195550)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 Jun 2003 17:41:27 -0500

foomatic-filters (3.0.0-3) unstable; urgency=medium

  * Fiddle with dependencies to break the cycle keeping foomatic 3.x out
    of testing.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 27 May 2003 15:47:43 -0500

foomatic-filters (3.0.0-2) unstable; urgency=low

  * Include symbolic links for lpdomatic and directomatic for
    backwards-compatibility with Foomatic 2.0.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 May 2003 23:39:02 -0500

foomatic-filters (3.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 May 2003 23:15:09 -0500

foomatic-filters (2.9-20030423-3) unstable; urgency=low

  * Straightened out foomatic-filters.config on first install, I think.
    At least, it works here when the database entries are deleted and
    /etc/foomatic/filter.conf is removed.  (Closes: #190642)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 29 Apr 2003 16:58:05 -0500

foomatic-filters (2.9-20030423-2) unstable; urgency=low

  * Upgraded foomatic-db-engine to a dependency.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 24 Apr 2003 14:43:39 -0500

foomatic-filters (2.9-20030423-1) unstable; urgency=low

  * New upstream release. (Same as 3.0.0rc2)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Apr 2003 19:23:23 -0500

foomatic-filters (2.9-3.0.0rc1-2) unstable; urgency=low

  * Add a symbolic link in /usr/lib/cups/filter from cupsomatic to
    foomatic-rip, for backwards-compatibility with Foomatic 2.x.
    (Closes: #190106)
  * Tried to clean up the description somewhat.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Apr 2003 19:15:20 -0500

foomatic-filters (2.9-3.0.0rc1-1) unstable; urgency=low

  * Initial Release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 13 Apr 2003 20:44:09 -0500
